package com.virtual.plat.server.publiccloud.rest;

import com.virtual.plat.client.rpc.RpcResult;
import com.virtual.plat.server.controller.entity.CpuAndMemory;
import com.virtual.plat.server.controller.entity.ResourcePoolPo;
import com.virtual.plat.server.controller.entity.StoragePo;
import com.virtual.plat.server.entity.Cluster;
import com.virtual.plat.server.entity.PublicCloud;
import java.util.List;
import java.util.Map;

public interface BaseCloud {

   byte TYPE_VM = 10;
   byte TYPE_TEMP = 1;
   byte TYPE_RECYCLE_BIN = 100;
   byte TYPE_ALL = 111;


   void testConnection();

   List queryVms(byte var1);

   boolean checkTemplate(String var1);

   RpcResult operatorDomain(String var1, String var2);

   Map getResourceOverview(String var1);

   String getDomainStatus(String var1);

   PublicCloud getCloud();

   List queryHostpools();

   List queryClusters();

   List queryHosts();

   CpuAndMemory queryClusterCpuAndMemory(String var1);

   ResourcePoolPo queryClusterSummaryInfo(String var1);

   List queryStorageInCluster(String var1, Boolean var2);

   List queryAllCloudClusterByHostpoolId(Long var1);

   List queryHostsByCondition(Long var1, Long var2);

   List queryAllHosts();

   List queryAllClusters();

   List queryStorageRes(PublicCloud var1, String var2);

   double queryClusterCpuRate(String var1);

   double queryClusterMemoryRate(String var1);

   List queryProfile();

   List queryNet(String var1);

   List queryVirtHostTop5Rate(String var1, String var2);

   List queryComputeResourceTrend(String var1, String var2);

   StoragePo queryStorageBaseInfo(String var1);

   List queryVmStorageInfo(List var1, String var2, String var3);

   Map queryOrgStorageInfo(List var1, String var2, String var3);

   List queryStorageHistory(String var1);

   List queryStorageList(List var1, Cluster var2);

   void checkCluster(String var1);

   List queryIORwAndIOPSTrend(String var1, String var2, String var3);

   List queryOrgVmStorageInfo(List var1, List var2);

   List queryStoragePerfTrend(String var1, String var2);
}
